Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IState

    com.change_vision.jude.api.inf.model.IState

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement, IVertex

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement, IVertex

All Known Implementing Classes:
  IFinalState

    public IState

extends IVertex

Interface for States.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract void` | `addInternalTransition(String event, String guard, String action)` Add an Internal Transition.
`abstract void` | `deleteAllInternalTransitions()` Delete All Internal Transition.
`abstract String` | `getDoActivity()` Get DoActivity.
`abstract String` | `getEntry()` Get Entry.
`abstract String` | `getExit()` Get Exit.
`abstract ITransition[]` | `getInternalTransitions()` Get Internal　Transitions.
`abstract Rectangle2D` | `getRegionRectangle(int regionIndex)` Get the Rectangle of Specified Region.
`abstract int` | `getRegionSize()` Get the Size of Regions.
`abstract IStateMachine` | `getSubmachine()` Get Submachine.
`abstract IVertex[]` | `getSubvertexes()` Get SubVertexes.
`abstract IVertex[]` | `getSubvertexes(int regionIndex)` Get SubVertexes of Specified Region.
`abstract boolean` | `isSubmachineState()` Check if it is a SubmachineState.
`abstract void` | `setDoActivity(String doActivity)` Set DoActivity.
`abstract void` | `setEntry(String entry)` Set Entry.
`abstract void` | `setExit(String exit)` Set Exit.

Methods inherited from class com.change_vision.jude.api.inf.model.IVertex
`getIncomings, getOutgoings`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getSubmachine

    abstract IStateMachine getSubmachine()

  Get Submachine.

  Returns:
    Submachine.

### isSubmachineState

    abstract boolean isSubmachineState()

  Check if it is a SubmachineState.

  Returns:
    true it is a SubmachineState / false it is not a SubmachineState

### getEntry

    abstract String getEntry()

  Get Entry.

  Returns:
    Entry.

### getDoActivity

    abstract String getDoActivity()

  Get DoActivity.

  Returns:
    DoActivity.

### getExit

    abstract String getExit()

  Get Exit.

  Returns:
    Exit.

### getInternalTransitions

    abstract ITransition[] getInternalTransitions()

  Get Internal　Transitions.

  Returns:
    The array of Internal　Transitions. Return the empty array if there is none.

### getSubvertexes

    abstract IVertex[] getSubvertexes()

  Get SubVertexes.

  Returns:
    The array of SubVertexes. Return the empty array if there is none.

### getRegionSize

    abstract int getRegionSize()

  Get the Size of Regions.

  Returns:
    The size of regions.

### getRegionRectangle

    abstract Rectangle2D getRegionRectangle(int regionIndex)

  Get the Rectangle of Specified Region.

  Parameters:
    `regionIndex` - The index of region
  Returns:
    the Rectangle of Specified Region
  Throws:
    `InvalidUsingException` - InvalidUsingException occurs.

        Keys:
                   ILLEGAL_PARAMETER_KEY - if regionIndex is out of range.

        Values:
                   Error messages for exceptions.

### getSubvertexes

    abstract IVertex[] getSubvertexes(int regionIndex)

  Get SubVertexes of Specified Region.

  Parameters:
    `regionIndex` - The index of region
  Returns:
    The array of SubVertexes. Return the empty array if there is none
  Throws:
    `InvalidUsingException` - InvalidUsingException occurs.

        Keys:
                   ILLEGAL_PARAMETER_KEY - if regionIndex is out of range.

        Values:
                   Error messages for exceptions.

### setEntry

    abstract void setEntry(String entry)

  Set Entry.

  Parameters:
    `entry` - Entry. In the case of null,Entry shall be deleted.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs. Keys: ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community. PARAMETER_ERROR_KEY - if a parameter is not set properly. BAD_TRANSACTION_KEY - Bad Transaction. HAS_EXCEPTION_KEY - if an exception has occurred. READ_ONLY_KEY - if a read-only element is edited. Values: Error messages for exceptions.

### setDoActivity

    abstract void setDoActivity(String doActivity)

  Set DoActivity.

  Parameters:
    `doActivity` - DoActivity. In the case of null,DoActivity shall be deleted.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs. Keys: ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community. PARAMETER_ERROR_KEY - if a parameter is not set properly. BAD_TRANSACTION_KEY - Bad Transaction. HAS_EXCEPTION_KEY - if an exception has occurred. READ_ONLY_KEY - if a read-only element is edited. Values: Error messages for exceptions.

### setExit

    abstract void setExit(String exit)

  Set Exit.

  Parameters:
    `exit` - Exit. In the case of null, Exit shall be deleted.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs. Keys: ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community. PARAMETER_ERROR_KEY - if a parameter is not set properly. BAD_TRANSACTION_KEY - Bad Transaction. HAS_EXCEPTION_KEY - if an exception has occurred. READ_ONLY_KEY - if a read-only element is edited. Values: Error messages for exceptions.

### addInternalTransition

    abstract void addInternalTransition(String event,
                                        String guard,
                                        String action)

  Add an Internal Transition.

  Parameters:
    `event` -
    `guard` -
    `action` -
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs. Keys: ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community. PARAMETER_ERROR_KEY - if a parameter is not set properly. BAD_TRANSACTION_KEY - Bad Transaction. HAS_EXCEPTION_KEY - if an exception has occurred. READ_ONLY_KEY - if a read-only element is edited. Values: Error messages for exceptions.

### deleteAllInternalTransitions

    abstract void deleteAllInternalTransitions()

  Delete All Internal Transition.

  Throws:
    `InvalidEditingException` - InvalidEditingException occurs. Keys: ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community. BAD_TRANSACTION_KEY - Bad Transaction. HAS_EXCEPTION_KEY - if an exception has occurred. READ_ONLY_KEY - if a read-only element is edited. Values: Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD